import * as React from 'react';
import { ConfigurationSubject, Settings } from '../../settings';
import { ActionsProps, ActionsState } from './actions';
/**
 * Renders the actions as a fragment of <li class="nav-item"> elements, for use in a Bootstrap <ul
 * class="nav"> or <ul class="navbar-nav">.
 */
export declare class ActionsNavItems<S extends ConfigurationSubject, C extends Settings> extends React.PureComponent<ActionsProps<S, C>, ActionsState> {
    state: ActionsState;
    private scopeChanges;
    private subscriptions;
    componentDidMount(): void;
    componentDidUpdate(prevProps: ActionsProps<S, C>): void;
    componentWillUnmount(): void;
    render(): JSX.Element | null;
}
