import { isErrorLike } from '../errors';
/** Reports whether the given extension is enabled in the settings. */
export function isExtensionEnabled(settings, extensionID) {
    return !!settings && !isErrorLike(settings) && !!settings.extensions && !!settings.extensions[extensionID];
}
//# sourceMappingURL=extension.js.map