import * as React from 'react';
/**
 * The LinkOrSpan component renders a <Link> (from react-router-dom) if the "to" property is a non-empty string;
 * otherwise it renders the text in a <span> (with no link).
 */
export declare const LinkOrSpan: React.SFC<{
    to: string | undefined | null;
    children?: React.ReactNode;
} & React.AnchorHTMLAttributes<HTMLAnchorElement>>;
