import * as React from 'react';
import { LinkProps } from 'react-router-dom';
/**
 * Uses react-router-dom's <Link> for relative URLs, <a> for absolute URLs. This is useful because passing an
 * absolute URL to <Link> will create an (almost certainly invalid) URL where the absolute URL is resolved to the
 * current URL, such as https://example.com/a/b/https://example.com/c/d.
 */
export declare const RouterLinkOrAnchor: React.SFC<LinkProps>;
