import * as React from 'react';
import { Notification } from './notification';
interface Props {
    notification: Notification;
    onDismiss: (notification: Notification) => void;
    className?: string;
}
/**
 * A notification message displayed in a {@link module:./Notifications.Notifications} component.
 */
export declare class NotificationItem extends React.PureComponent<Props> {
    render(): JSX.Element | null;
    private onDismiss;
}
export {};
