/** Prints a nicely formatted console log or error message. */
export function log(level, subject, message, other) {
    let f;
    let color;
    let backgroundColor;
    if (level === 'info') {
        f = console.log;
        color = '#000';
        backgroundColor = '#eee';
    }
    else {
        f = console.error;
        color = 'white';
        backgroundColor = 'red';
    }
    f('%c EXT %s %c', `font-weight:bold;background-color:${backgroundColor};color:${color}`, subject, 'font-weight:normal;background-color:unset', message, other || '');
}
//# sourceMappingURL=log.js.map