export const graphQLContent = Symbol('graphQLContent');
/**
 * Use this template string tag for all GraphQL queries.
 */
export const gql = (template, ...substitutions) => ({
    [graphQLContent]: String.raw(template, ...substitutions.map(s => s[graphQLContent] || s)),
});
//# sourceMappingURL=graphql.js.map