import * as React from 'react';
/** Wraps matches of pattern in text with <strong>. */
export declare const HighlightedMatches: React.SFC<{
    text: string;
    pattern: string;
    /** The class name for the <strong> element for matches. */
    className?: string;
}>;
export interface Span {
    start: number;
    end: number;
    match: boolean;
}
export declare function fuzzyMatches(text: string, pattern: string): Span[];
