var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from 'react';
import { Link } from 'react-router-dom';
/**
 * The LinkOrSpan component renders a <Link> (from react-router-dom) if the "to" property is a non-empty string;
 * otherwise it renders the text in a <span> (with no link).
 */
export const LinkOrSpan = (_a) => {
    var { to, className = '', children } = _a, otherProps = __rest(_a, ["to", "className", "children"]);
    return to ? (React.createElement(Link, Object.assign({ to: to, className: className }, otherProps), children)) : (React.createElement("span", Object.assign({ className: className }, otherProps), children));
};
//# sourceMappingURL=LinkOrSpan.js.map