import * as React from 'react';
interface Props {
    /** The initial value.  */
    value?: boolean;
    /** The DOM ID of the element. */
    id?: string;
    /**
     * Called when the user changes the input's value.
     */
    onToggle?: (value: boolean) => void;
    /** The title attribute (tooltip). */
    title: string;
    disabled?: boolean;
    tabIndex?: number;
    className?: string;
}
/** A toggle switch input component. */
export declare class Toggle extends React.PureComponent<Props> {
    render(): JSX.Element | null;
}
export {};
